package com.kakao.util.helper;

import com.bytedance.covode.number.Covode;
import java.util.concurrent.Future;
import java.util.concurrent.TimeUnit;

public final class ConstantFuture<T> implements Future<T> {
    public final T v;

    static {
        Covode.recordClassIndex(45991);
    }

    public final boolean cancel(boolean z) {
        return false;
    }

    public final boolean isCancelled() {
        return false;
    }

    public final boolean isDone() {
        return true;
    }

    public final T get() {
        return this.v;
    }

    public ConstantFuture(T t) {
        this.v = t;
    }

    public final T get(long j, TimeUnit timeUnit) {
        return this.v;
    }
}
